Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I upgraded an existing 8.10 Ubuntu installation to 9.04 last week, and everything appeared to run fine initially. However no on boot I get a dialog box which says 'Not all updates can be installed'. Hitting the 'Partial Upgrade' button the list includes

Install libd4.6-java Install libd4.6-java-gcj Install liblrdf0 Upgrade acpid Upgrade libfreetype6 Upgrade liblucene2-java Upgrade update-manager Upgrade update-manager-core

If I then go with install the upgrade the dialog box disappears (after the permission to proceed password prompt) and nothing further happens until the next reboot, when I'm back to the partial upgrade prompt again.

Where should I look to find out what's going wrong and fix this

share|improve this question
    
"Ubuntu 8.14"... might want to check that version number... –  womble May 3 '09 at 8:59
    
OMG, I always thought there were only 12 months in the year. So I really alot younger? –  Lucas McCoy May 3 '09 at 21:00
    
Corrected to 8.10. Oops –  Cruachan May 4 '09 at 8:15

3 Answers 3

up vote 7 down vote accepted

Try dropping to a console and doing a dpkg --configure -a which will reconfigure all packages that are awaiting (or previously failed) configuration.

Occassionally you might need to run dpkg multiple times before you get complete success, at which point you can then call an apt-get dist-upgrade to try an install those that didn't previously install.

Basically just repeat those two steps, paying attention to any error messages that might arise, and you'll eventually get a fully updated system. If things really seem to be going wrong you can try apt-get upgrade instead of apt-get dist-upgrade which just tries to upgrade the "current" packages rather than trying to upgrade to the latest Ubuntu release.

The "partial upgrade" button corresponds to apt-get upgrade, while the "upgrade" button corresponds to a "full upgrade". The step that isn't handled by the GUI is dpkg --configure -a and is the most common problem when trying to upgrade and particular packages have jumped a few versions rather than just one.

share|improve this answer
    
This just worked. Thanks –  Cruachan May 4 '09 at 8:15

You're likely to find some 'real time' help from the Ubuntu IRC channels. There are lots of friendly helpful people who will go out of their way to assist you. It may be easier than waiting for responses here at SF.

Ubuntu IRC:https://help.ubuntu.com/community/InternetRelayChat
Ubuntu Forums: http://ubuntuforums.org/

share|improve this answer

Drop to a console and run "aptitude dist-upgrade" as root and see what it has to say for itself. That should give you a better idea of what's going wrong, or at the very least provide some more diagnostic info for your question.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.